<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'webservice', language 'cy', version '4.0'.
 *
 * @package     webservice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessexception'] = 'Eithriad rheoli mynediad';
$string['actwebserviceshhdr'] = 'Protocolau gwasanaeth gwe sydd ar waith';
$string['addaservice'] = 'Ychwanegu gwasanaeth';
$string['addcapabilitytousers'] = 'Profi gallu defnyddwyr';
$string['addcapabilitytousersdescription'] = 'Dylai defnyddwyr allu gwneud dau beth - webservice:createtoken a chyfateb y protocolau a ddefnyddiwyd, er enghraifft webservice/rest:use, webservice/soap:use. I wneud hyn, dylid creu swyddogaeth gwasanaethau gwe gyda\'r galluoedd priodol wedi\'u caniatáu, a\'i neilltuo i\'r defnyddiwr gwasanaethau gwe fel swyddogaeth system.';
$string['addfunction'] = 'Ychwanegu swyddogaeth';
$string['addfunctionhelp'] = 'Dewis y swyddogaeth i\'w hychwanegu at y gwasanaeth.';
$string['addfunctions'] = 'Ychwanegu swyddogaethau';
$string['addfunctionsdescription'] = 'Dewis swyddogaethau gofynnol ar gyfer y gwasanaeth sydd newydd ei greu.';
$string['addrequiredcapability'] = 'Neilltuo/dad-neilltuo\'r gallu gofynnol';
$string['addservice'] = 'Ychwanegu gwasanaeth newydd: {$a->name} (id: {$a->id})';
$string['addservicefunction'] = 'Ychwanegu swyddogaethau at y gwasanaeth "{$a}"';
$string['allusers'] = 'Pob defnyddiwr';
$string['apiexplorer'] = 'Archwiliwr API';
$string['apiexplorernotavalaible'] = 'Dydy\'r archwiliwr API ddim ar gael eto.';
$string['arguments'] = 'Argiau';
$string['authmethod'] = 'Dull dilysu';
$string['cannotcreatetoken'] = 'Does dim caniatâd i greu tocyn gwasanaeth gwe ar gyfer y gwasanaeth {$a}.';
$string['cannotgetcoursecontents'] = 'Methu dod o hyd i gynnwys y cwrs';
$string['checkusercapability'] = 'Gwirio gallu defnyddiwr';
$string['checkusercapabilitydescription'] = 'Dylai\'r defnyddiwr feddu ar alluoedd priodol yn unol â\'r protocolau a ddefnyddir, er enghraifft, webservice/rest:use, webservice/soap:use. I wneud hyn, dylid creu swyddogaeth gwasanaethau gwe gyda\'r galluoedd protocol wedi\'u caniatáu, a\'i neilltuo i\'r defnyddiwr gwasanaethau gwe fel swyddogaeth system.';
$string['configwebserviceplugins'] = 'Am resymau diogelwch, dim ond protocolau sy\'n cael eu defnyddio ddylai gael eu galluogi.';
$string['context'] = 'Cyd-destun';
$string['createservicedescription'] = 'Cyfres o swyddogaethau gwasanaeth gwe sy\'n ffurfio gwasanaeth. Byddwch yn caniatáu i\'r defnyddiwr gael mynediad at wasanaeth newydd. Ar y dudalen <strong>Ychwanegu gwasanaeth</strong> dewiswch yr opsiynau \'Galluogi\' a \'Defnyddwyr wedi\'u hawdurdodi\'. Dewiswch \'Dim gallu gofynnol\'.';
$string['createserviceforusersdescription'] = 'Cyfres o swyddogaethau gwasanaethau gwe sy\'n ffurfio gwasanaeth. Byddwch yn caniatáu i\'r defnyddiwr gael mynediad at wasanaeth newydd. Ar y dudalen <strong>Ychwanegu gwasanaeth</strong> dewiswch \'Galluogi\' a dad-dicio \'Defnyddwyr wedi\'u hawdurdodi\'. Dewiswch \'Dim gallu gofynnol\'.';
$string['createtoken'] = 'Creu tocyn';
$string['createtokenforuser'] = 'Creu tocyn ar gyfer defnyddiwr';
$string['createtokenforuserdescription'] = 'Creu tocyn ar gyfer y defnyddiwr gwasanaethau gwe.';
$string['createuser'] = 'Creu defnyddiwr penodol';
$string['createuserdescription'] = 'Mae angen defnyddiwr gwasanaethau gwe i gynrychioli\'r system sy\'n rheoli Moodle.';
$string['default'] = 'Dewis diofyn "{$a}"';
$string['deleteaservice'] = 'Dileu\'r gwasanaeth';
$string['deleteservice'] = 'Dileu\'r gwasanaeth: {$a->name} (id: {$a->id})';
$string['deleteserviceconfirm'] = 'Bydd dileu gwasanaeth hefyd yn dileu\'r tocynnau sy\'n gysylltiedig â\'r gwasanaeth hwn. Ydych chi wir am ddileu\'r gwasanaeth allanol "{$a}"?';
$string['deletetokenconfirm'] = 'Ydych chi wir am ddileu\'r tocyn gwasanaeth gwe hwn ar gyfer <strong>{$a->user}</strong> ar y gwasanaeth <strong>{$a->service}</strong>?';
$string['disabledwarning'] = 'Mae\'r holl brotocolau gwasanaeth wedi\'u hanalluogi. Mae\'r gosodiad "Galluogi gwasanaethau gwe" yn y nodweddion Mwy o Ddewisiadau.';
$string['doc'] = 'Dogfennau';
$string['docaccessrefused'] = 'Chewch chi ddim gweld y dogfennau ar gyfer y tocyn hwn';
$string['documentation'] = 'dogfennau gwasanaethau gwe';
$string['downloadfiles'] = 'Gallu llwytho ffeiliau i lawr';
$string['downloadfiles_help'] = 'Os yw wedi’i alluogi, gall unrhyw ddefnyddiwr lwytho ffeiliau i lawr gyda’u hallweddi diogelwch. Wrth gwrs, maent wedi\'u cyfyngu i\'r ffeiliau y maent yn cael eu llwytho i lawr yn y safle.';
$string['editaservice'] = 'Golygu\'r gwasanaeth';
$string['editservice'] = 'Golygu\'r gwasanaeth: {$a->name} (id: {$a->id})';
$string['enabled'] = 'Wedi galluogi';
$string['enabledocumentation'] = 'Galluogi dogfennau datblygwr';
$string['enabledocumentationdescription'] = 'Mae dogfennau manwl ynghylch gwasanaethau gwe ar gael ar gyfer protocolau sydd wedi\'u galluogi.';
$string['enableprotocols'] = 'Galluogi protocolau';
$string['enableprotocolsdescription'] = 'Dylid galluogi o leiaf un protocol. Am resymau diogelwch, dim ond protocolau a fydd yn cael eu defnyddio ddylai gael eu galluogi.';
$string['enablews'] = 'Galluogi gwasanaethau gwe';
$string['enablewsdescription'] = 'Mae\'n rhaid i\'r gwasanaethau gwe gael eu galluogi yn y nodweddion Mwy o Ddewisiadau.';
$string['entertoken'] = 'Rhowch allwedd/tocyn diogelwch.';
$string['error'] = 'Gwall: {$a}';
$string['errorcatcontextnotvalid'] = 'Does dim modd i chi weithredu swyddogaethau yng nghyd-destun categori (ID categori:{$a->catid}). Neges gwall y cyd-destun oedd: {$a->message}';
$string['errorcodes'] = 'Neges gwall';
$string['errorcoursecontextnotvalid'] = 'Does dim modd i chi weithredu swyddogaethau yng nghyd-destun cwrs (ID cwrs:{$a->catid}). Neges gwall y cyd-destun oedd: {$a->message}';
$string['errorinvalidparam'] = 'Mae\'r paramedr "{$a}" yn annilys.';
$string['errornotemptydefaultparamarray'] = 'Mae\'r paramedr disgrifio gwasanaeth gwe o\'r enw \'{$a}\' yn strwythur sengl neu luosog. Arae gwag yw\'r unig ddewis diofyn posib. Edrychwch ar y disgrifiad o\'r gwasanaeth gwe.';
$string['erroroptionalparamarray'] = 'Mae\'r paramedr disgrifio gwasanaeth gwe o\'r enw \'{$a}\' yn strwythur sengl neu luosog. Does dim modd ei osod ar VALUE_OPTIONAL. Edrychwch ar y disgrifiad o\'r gwasanaeth gwe.';
$string['execute'] = 'Gweithredu';
$string['executewarnign'] = 'RHYBUDD: Os byddwch chi\'n gweithredu bydd eich cronfa ddata yn cael ei newid ac ni fydd modd dadwneud y newidiadau\'n awtomatig!';
$string['externalservice'] = 'Gwasanaeth allanol';
$string['externalservicefunctions'] = 'Swyddogaethau gwasanaeth allanol';
$string['externalservices'] = 'Gwasanaethau allanol';
$string['externalserviceusers'] = 'Defnyddwyr gwasanaeth allanol';
$string['failedtolog'] = 'Wedi methu cofnodi';
$string['filenameexist'] = 'Mae enw\'r ffeil eisoes yn bodoli: {$a}';
$string['forbiddenwsuser'] = 'Does dim modd creu tocyn ar gyfer defnyddiwr sydd heb ei gadarnhau, wedi\'i ddileu, wedi\'i atal neu\'n westai.';
$string['function'] = 'Swyddogaeth';
$string['functions'] = 'Swyddogaethau';
$string['generalstructure'] = 'Strwythur cyffredinol';
$string['information'] = 'Gwybodaeth';
$string['installexistingserviceshortnameerror'] = 'Mae gwasanaeth gwe gyda\'r enw byr "{$a}" yn bodoli\'n barod. Does dim modd gosod/diweddaru gwasanaeth gwe gwahanol gyda\'r enw byr hwn.';
$string['installserviceshortnameerror'] = 'Gwall cod: dylai enw byr y gwasanaeth "{$a}" gynnwys rhifau, llythrennau a _-.. yn unig.';
$string['invalidextparam'] = 'Paramedr api allanol annilys: {$a}';
$string['invalidextresponse'] = 'Ymateb api allanol annilys: {$a}';
$string['invalidiptoken'] = 'Tocyn annilys - does dim modd delio a\'ch IP';
$string['invalidtimedtoken'] = 'Tocyn annilys - mae\'r tocyn wedi dod i ben';
$string['invalidtoken'] = 'Tocyn annilys - heb ddod o hyd i\'r tocyn';
$string['iprestriction'] = 'Cyfyngiad IP';
$string['iprestriction_help'] = 'Bydd angen i\'r defnyddiwr alw\'r gwasanaeth gwe o\'r rhestr o IPs.';
$string['key'] = 'Allwedd';
$string['keyshelp'] = 'Defnyddir yr allweddi i gael mynediad at eich cyfrif Moodle o raglenni allanol.';
$string['manageprotocols'] = 'Rheoli protocolau';
$string['managetokens'] = 'Rheoli tocynnau';
$string['missingcaps'] = 'Galluoedd ar goll';
$string['missingcaps_help'] = 'Rhestr o alluoedd gofynnol ar gyfer y gwasanaeth nad yw\'r defnyddiwr a ddewiswyd yn meddu arnynt. Mae\'n rhaid ychwanegu galluoedd coll at swyddogaeth y defnyddiwr er mwyn defnyddio\'r gwasanaeth.';
$string['missingpassword'] = 'Cyfrinair ar goll';
$string['missingrequiredcapability'] = 'Mae\'n rhaid cael y gallu {$a}.';
$string['missingusername'] = 'Enw defnyddiwr ar goll';
$string['missingversionfile'] = 'Gwall cod: mae\'r ffeil version.php ar goll ar gyfer y gydran {$a}';
$string['nofunctions'] = 'Does gan y gwasanaeth hwn ddim swyddogaethau.';
$string['norequiredcapability'] = 'Dim gallu gofynnol';
$string['notoken'] = 'Mae\'r rhestr tocynnau\'n wag.';
$string['onesystemcontrolling'] = 'Caniatáu i system allanol reoli Moodle';
$string['onesystemcontrollingdescription'] = 'Bydd y camau canlynol yn eich helpu i roi gwasanaeth gwe Moodle ar waith ar system er mwyn rheoli Moodle. Bydd y camau hyn hefyd yn helpu i roi\'r tocyn (allweddi diogelwch) a argymhellir ar waith fel dull dilysu.';
$string['operation'] = 'Gweithred';
$string['optional'] = 'Dewisol';
$string['passwordisexpired'] = 'Mae\'r cyfrinair wedi dod i ben.';
$string['phpparam'] = 'XML-RPC (Strwythur PHP)';
$string['phpresponse'] = 'XML-RPC (Strwythur PHP)';
$string['postrestparam'] = 'Cod PHP ar gyfer REST (Cais POST)';
$string['potusers'] = 'Defnyddwyr heb eu hawdurdodi';
$string['potusersmatching'] = 'Defnyddwyr heb eu hawdurdodi yn cyfateb';
$string['print'] = 'Argraffu\'r cyfan';
$string['protocol'] = 'Protocol';
$string['removefunction'] = 'Tynnu';
$string['removefunctionconfirm'] = 'Ydych chi wir am dynnu\'r swyddogaeth "{$a->function}" o\'r gwasanaeth "{$a->service}"?';
$string['requireauthentication'] = 'Mae angen dilysu\'r dull hwn gyda chaniatâd xxx.';
$string['required'] = 'Gofynnol';
$string['requiredcapability'] = 'Gallu gofynnol';
$string['requiredcapability_help'] = 'Os yw wedi\'i osod, dim ond defnyddwyr gyda\'r gallu gofynnol sy\'n gallu cael mynediad at y gwasanaeth.';
$string['requiredcaps'] = 'Galluoedd gofynnol';
$string['resettokenconfirm'] = 'Ydych chi wir am ailosod yr allwedd gwasanaeth gwe hon ar gyfer <strong>{$a->user}</strong> ar y gwasanaeth <strong>{$a->service}</strong>?';
$string['resettokenconfirmsimple'] = 'Ydych chi wir am ailosod yr allwedd hon? Ni fydd unrhyw ddolenni a gadwyd sy\'n cynnwys yr hen allwedd yn gweithio mwyach.';
$string['response'] = 'Ymateb';
$string['restcode'] = 'REST';
$string['restexception'] = 'REST';
$string['restoredaccountresetpassword'] = 'Mae angen ailosod cyfrinair ar y cyfrif sydd wedi\'i adfer cyn cael tocyn.';
$string['restparam'] = 'REST (Paramedrau POST)';
$string['restrictedusers'] = 'Defnyddwyr wedi\'u hawdurdodi yn unig';
$string['restrictedusers_help'] = 'Mae\'r gosodiad hwn yn pennu a yw pob defnyddiwr sydd â\'r caniatâd i greu tocyn gwasanaethau gwe yn gallu cynhyrchu tocyn ar gyfer y gwasanaeth hwn drwy gyfrwng eu tudalen allweddi diogelwch ynteu ai dim ond defnyddwyr wedi\'u hawdurdodi sy\'n gallu gwneud hynny.';
$string['securitykey'] = 'Allwedd diogelwch (tocyn)';
$string['securitykeys'] = 'Allweddi diogelwch';
$string['selectauthorisedusers'] = 'Dewis defnyddwyr wedi\'u hawdurdodi';
$string['selectedcapability'] = 'Wedi dewis';
$string['selectedcapabilitydoesntexit'] = 'Dydy\'r gallu ({$a}) gofynnol sydd wedi\'i osod ar hyn o bryd ddim yn bodoli erbyn hyn. Dylech ei newid a chadw\'r newidiadau.';
$string['selectservice'] = 'Dewis gwasanaeth';
$string['selectspecificuser'] = 'Dewis defnyddiwr penodol';
$string['selectspecificuserdescription'] = 'Ychwanegu\'r defnyddiwr gwasanaethau gwe fel defnyddiwr wedi\'i awdurdodi.';
$string['service'] = 'Gwasanaeth';
$string['servicehelpexplanation'] = 'Cyfres o swyddogaethau yw gwasanaeth. Mae modd i bob defnyddiwr neu ddefnyddwyr penodol gael mynediad at wasanaeth.';
$string['servicename'] = 'Enw\'r gwasanaeth';
$string['servicenotavailable'] = 'Dydy\'r gwasanaeth gwe ddim ar gael (nid yw\'n bodoli neu efallai ei fod wedi\'i analluogi)';
$string['servicesbuiltin'] = 'Gwasanaethau parod';
$string['servicescustom'] = 'Gwasanaethau personol';
$string['serviceusers'] = 'Defnyddwyr wedi\'u hawdurdodi';
$string['serviceusersettings'] = 'Gosodiadau defnyddiwr';
$string['serviceusersmatching'] = 'Defnyddwyr wedi\'u hawdurdodi sy\'n cyfateb';
$string['serviceuserssettings'] = 'Newid gosodiadau ar gyfer y defnyddwyr sydd wedi\'u hawdurdodi';
$string['simpleauthlog'] = 'Mewngofnodi gyda dull dilysu syml';
$string['step'] = 'Cam';
$string['supplyinfo'] = 'Mwy o fanylion';
$string['testauserwithtestclientdescription'] = 'Gellir ail-greu mynediad allanol at y gwasanaeth drwy ddefnyddio cleient prawf y gwasanaeth gwe. Cyn gwneud hynny, dylech fewngofnodi fel defnyddiwr gyda\'r gallu moodle/webservice:createtoken a chael yr allwedd diogelwch (tocyn) drwy fynd i osodiadau Fy mhroffil. Byddwch yn defnyddio\'r tocyn hwn yn y cleient prawf. Yn y cleient prawf, dewiswch hefyd brotocol wedi\'i alluogi gyda\'r dull dilysu gyda thocyn. <strong>RHYBUDD: Bydd y swyddogaethau y byddwch yn eu profi YN CAEL EU GWEITHREDU ar gyfer y defnyddiwr hwn, felly byddwch yn ofalus beth rydych chi\'n dewis ei brofi!</strong>';
$string['testclient'] = 'Cleient prawf y gwasanaeth gwe';
$string['testclientdescription'] = '* Mae cleient prawf y gwasanaeth gwe yn <strong>gweithredu\'r</strong> swyddogaethau ar gyfer <strong>REAL</strong>. Peidiwch â phrofi swyddogaethau anghyfarwydd. <br/>* Dydy pob swyddogaeth gwasanaeth gwe sy\'n bodoli ddim wedi cael eu rhoi ar waith yn y cleient prawf eto. <br/>* Er mwyn gwneud yn siŵr bod defnyddiwr ddim yn gallu cael mynediad at rai swyddogaethau, gallwch brofi rhai swyddogaethau nad ydych wedi\'u caniatáu.<br/>* I weld negeseuon gwall yn gliriach, gosodwch y swyddogaeth difa chwilod ar <strong>{$a->mode}</strong> yn {$a->atag}<br/>* a chael mynediad at {$a->amfatag}.';
$string['testwithtestclient'] = 'Profi\'r gwasanaeth';
$string['testwithtestclientdescription'] = 'Gallwch ail-greu mynediad allanol i\'r gwasanaeth drwy ddefnyddio cleient prawf y gwasanaeth gwe. Defnyddiwch brotocol sydd wedi\'i alluogi gan ddefnyddio tocyn i ddilysu. <strong>RHYBUDD: Bydd y swyddogaethau y byddwch yn eu profi YN CAEL EU GWEITHREDU, felly byddwch yn ofalus beth rydych chi\'n dewis ei brofi!</strong>';
$string['token'] = 'Tocyn';
$string['tokenauthlog'] = 'Dilysu gyda thocyn';
$string['tokencreatedbyadmin'] = 'Dim ond y gweinyddwr gaiff ailosod (*)';
$string['tokencreator'] = 'Crëwr';
$string['unnamedstringparam'] = 'Paramedr llinyn heb ei enwi.';
$string['updateusersettings'] = 'Diweddaru';
$string['uploadfiles'] = 'Gall llwytho ffeiliau i fyny';
$string['userasclients'] = 'Defnyddwyr fel cleientiaid gyda thocyn';
$string['userasclientsdescription'] = 'Bydd y camau canlynol yn eich helpu i roi gwasanaeth gwe Moodle ar waith ar gyfer defnyddwyr fel cleientiaid. Bydd y camau hyn hefyd yn helpu i roi ar waith y dull dilysu gyda thocyn (allweddi diogelwch) sy\'n cael ei argymell. Yn yr achos hwn, bydd y defnyddiwr yn cynhyrchu ei docyn o\'r dudalen allweddi diogelwch, drwy osodiadau Fy mhroffil.';
$string['usermissingcaps'] = 'Galluoedd coll: {$a}';
$string['usernameorid'] = 'Enw defnyddiwr / ID defnyddiwr';
$string['usernameorid_help'] = 'Rhowch enw defnyddiwr neu ID defnyddiwr';
$string['usernameoridnousererror'] = 'Heb ganfod defnyddwyr gyda\'r enw defnyddiwr/ID defnyddiwr hwn.';
$string['usernameoridoccurenceerror'] = 'Wedi canfod mwy nag un defnyddiwr gyda\'r enw defnyddiwr hwn. Rhowch yr ID defnyddiwr.';
$string['usernotallowed'] = 'Dydy\'r defnyddiwr hwn ddim wedi\'i ganiatáu ar gyfer y gwasanaeth hwn. Mae\'n rhaid i chi\'n gyntaf ganiatáu’r defnyddiwr hwn ar dudalen weinyddol defnyddwyr a ganiateir {$a}.';
$string['usersettingssaved'] = 'Wedi cadw gosodiadau\'r defnyddiwr';
$string['validuntil'] = 'Dilys tan';
$string['validuntil_help'] = 'Os yw wedi\'i osod, bydd y gwasanaeth yn cael ei analluogi ar ôl y dyddiad hwn ar gyfer y defnyddiwr hwn.';
$string['webservice'] = 'Gwasanaeth gwe';
$string['webservices'] = 'Gwasanaethau gwe';
$string['webservicesoverview'] = 'Trosolwg';
$string['webservicetokens'] = 'Tocynnau gwasanaeth gwe';
$string['wrongusernamepassword'] = 'Enw defnyddiwr neu gyfrinair anghywir';
$string['wsaccessuserdeleted'] = 'Wedi gwrthod mynediad gwasanaeth gwe ar gyfer yr enw defnyddiwr sydd wedi\'i ddileu: {$a}';
$string['wsaccessuserexpired'] = 'Wedi gwrthod mynediad gwasanaeth gwe ar gyfer yr enw defnyddiwr y mae ei gyfrinair wedi dod i ben: {$a}';
$string['wsaccessusernologin'] = 'Wedi gwrthod mynediad gwasanaeth gwe ar gyfer yr enw defnyddiwr nad yw\'n cael mewngofnodi: {$a}';
$string['wsaccessusersuspended'] = 'Wedi gwrthod mynediad gwasanaeth gwe ar gyfer yr enw defnyddiwr sydd wedi\'i atal: {$a}';
$string['wsaccessuserunconfirmed'] = 'Wedi gwrthod mynediad gwasanaeth gwe ar gyfer yr enw defnyddiwr sydd heb ei gadarnhau: {$a}';
$string['wsclientdoc'] = 'Dogfennau cleientiaid gwasanaeth gwe Moodle';
$string['wsdocapi'] = 'Dogfennau API';
$string['wsdocumentation'] = 'Dogfennau gwasanaethau gwe';
$string['wsdocumentationdisable'] = 'Wedi analluogi dogfennau gwasanaeth gwe.';
$string['wsdocumentationintro'] = 'Er mwyn creu cleient fe\'ch cynghorir i ddarllen y ddogfen yn {$a->doclink}';
$string['wsdocumentationlogin'] = 'neu rhowch eich enw defnyddiwr a\'ch cyfrinair gwasanaeth gwe:';
$string['wspassword'] = 'Cyfrinair gwasanaeth gwe';
$string['wsusername'] = 'Enw defnyddiwr gwasanaeth gwe';
