<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block', language 'cy', version '4.0'.
 *
 * @package     block
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['anypagematchingtheabove'] = 'Unrhyw dudalen sy\'n cyfateb i\'r uchod';
$string['appearsinsubcontexts'] = 'Yn ymddangos mewn is gyd-destunau';
$string['assignrolesinblock'] = 'Neilltuo rolau yn bloc {$a}';
$string['blocksettings'] = 'Gosodiadau bloc';
$string['bracketfirst'] = '{$a} (cyntaf)';
$string['bracketlast'] = '{$a} (olaf)';
$string['configureblock'] = 'Ffurfweddu bloc {$a}';
$string['contexts'] = 'Cyd-destunau tudalen';
$string['contexts_help'] = 'Mae cyd-destunau\'n fathau mwy penodol o dudalennau lle gellir dangos y bloc hwn yn lleoliad gwreiddiol y bloc. Bydd gennych wahanol opsiynau yma gan ddibynnu ar leoliad gwreiddiol y bloc a\'ch lleoliad presennol. Er enghraifft, gallwch osod cyfyngiadau ar floc fel mai dim ond ar dudalennau fforwm cwrs y mae\'n ymddangos drwy ychwanegu\'r bloc at y cwrs (gwneud iddo ymddangos ar bob is-dudalen), yna mynd i fforwm a golygu\'r gosodiadau bloc eto i osod cyfyngiad fel mai dim ond ar dudalennau fforwm y mae\'n ymddangos.';
$string['createdat'] = 'Lleoliad gwreiddiol y bloc';
$string['createdat_help'] = 'Y lleoliad gwreiddiol lle cafodd y bloc ei greu. Mae\'n bosibl y bydd y gosodiadau bloc yn peri iddo ymddangos mewn lleoliadau (cyd-destunau) eraill yn y lleoliad gwreiddiol. Er enghraifft, gallai bloc a grëwyd ar dudalen cwrs gael ei ddangos mewn gweithgareddau o fewn y cwrs hwnnw. Gall bloc a grëwyd ar y dudalen flaen ymddangos drwy\'r safle i gyd.';
$string['defaultregion'] = 'Ardal ddiofyn';
$string['defaultregion_help'] = 'Gallai\'r themâu ddiffinio un neu ragor o ardaloedd bloc a enwir lle caiff blociau eu dangos. Mae\'r gosodiad hwn yn diffinio ym mha rai o\'r rhain rydych chi am weld y bloc yn ddiofyn. Mae\'n bosib diystyru ardal ar dudalennau penodol os oes angen.';
$string['defaultweight'] = 'Pwysau diofyn';
$string['defaultweight_help'] = 'Mae\'r pwysau diofyn yn caniatáu i chi ddewis yn fras lle rydych am i\'r bloc ymddangos yn yr ardal a ddewiswyd, naill ai ar frig y dudalen neu ar y gwaelod. Cyfrifir y lleoliad terfynol o\'r holl flociau yn yr ardal honno (er enghraifft, dim ond un bloc sy\'n gallu bod ar y brig). Gellir diystyru\'r gwerth hwn ar dudalennau penodol os oes angen.';
$string['deleteblock'] = 'Dileu bloc {$a}?';
$string['deleteblockcheck'] = 'Ydych chi\'n siŵr eich bod am ddileu y bloc hwn o dan y teitl {$a}?';
$string['deleteblockwarning'] = '<p>Rydych chi ar fin dileu bloc sy’n ymddangos mewn man arall.</p><p>Lleoliad gwreiddiol y bloc: {$a->location}<br />Dangos yn mathau o dudalennau: {$a->pagetype}</p><p>Ydych chi’n siŵr eich bod am fwrw ymlaen?</p>';
$string['deletecheck'] = 'Dileu bloc {$a}?';
$string['hideblock'] = 'Cuddio bloc {$a}';
$string['hidepanel'] = 'Cuddio\'r panel';
$string['moveblock'] = 'Symud bloc {$a}';
$string['moveblockafter'] = 'Symud bloc ar ôl bloc {$a}';
$string['moveblockbefore'] = 'Symud bloc cyn bloc {$a}';
$string['movingthisblockcancel'] = 'Wrthi\'n symud y bloc ({$a})';
$string['onthispage'] = 'Ar y dudalen hon';
$string['pagetypes'] = 'Mathau o dudalennau';
$string['pagetypewarning'] = 'Does dim modd dewis y math o dudalen a nodwyd yn flaenorol erbyn hyn. Dewiswch y math mwyaf priodol o dudalen isod.';
$string['region'] = 'Ardal';
$string['restrictpagetypes'] = 'Dangos ar fathau o dudalennau';
$string['showblock'] = 'Dangos bloc {$a}';
$string['showoncontextandsubs'] = 'Dangos ar \'{$a}\' ac ar unrhyw dudalennau oddi mewn iddo';
$string['showoncontextonly'] = 'Dangos ar \'{$a}\' yn unig';
$string['showonentiresite'] = 'Dangos drwy\'r safle i gyd';
$string['showonfrontpageandsubs'] = 'Dangos ar y dudalen flaen ac ar unrhyw dudalennau sydd wedi\'u hychwanegu at y dudalen flaen';
$string['showonfrontpageonly'] = 'Dangos ar y dudalen flaen yn unig';
$string['subpages'] = 'Dewis tudalennau';
$string['thisspecificpage'] = 'Y dudalen benodol hon';
$string['visible'] = 'Gweladwy';
$string['weight'] = 'Pwysau';
$string['wherethisblockappears'] = 'Lle mae\'r bloc hwn yn ymddangos';
