<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol', language 'cy', version '4.0'.
 *
 * @package     enrol
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actenrolshhdr'] = 'Ategion ar gyfer cofrestru ar gwrs';
$string['addinstance'] = 'Ychwanegu dull';
$string['ajaxnext25'] = '25 nesaf...';
$string['ajaxoneuserfound'] = 'Wedi canfod 1 defnyddiwr';
$string['ajaxxusersfound'] = 'Wedi canfod {$a} defnyddiwr';
$string['assignnotpermitted'] = 'Does gennych chi ddim caniatâd neu allwch chi ddim neilltuo swyddogaethau yn y cwrs hwn.';
$string['bulkuseroperation'] = 'Gweithrediad defnyddiwr torfol';
$string['configenrolplugins'] = 'Dewiswch yr holl ategion gofynnol a\'u rhoi yn y drefn briodol.';
$string['custominstancename'] = 'Enw achos personol';
$string['defaultenrol'] = 'Ychwanegu achos at gyrsiau newydd';
$string['defaultenrol_desc'] = 'Mae\'n bosibl ychwanegu\'r ategyn hwn at bob cwrs newydd yn ddiofyn.';
$string['deleteinstanceconfirm'] = 'Rydych chi ar fin dileu dull cofrestru "{$a->name}". Bydd pob {$a->users} defnyddiwr sydd wedi cofrestru gyda’r dull hwn ar hyn o bryd yn cael eu dad-gofrestru a bydd unrhyw wybodaeth sy’n gysylltiedig â’r cwrs fel graddau’r defnyddwyr, aelodaeth grŵp neu danysgrifiadau fforwm yn cael eu dileu. Ydych chi\'n siŵr eich bod am fwrw ymlaen?';
$string['deleteinstancenousersconfirm'] = 'Rydych chi ar fin dileu dull cofrestru "{$a->name}". Ydych chi\'n siŵr eich bod am fwrw ymlaen?';
$string['durationdays'] = '{$a} diwrnod';
$string['editenrolment'] = 'Golygu\'r cyfnod cofrestru';
$string['enrol'] = 'Cofrestru';
$string['enrolcandidates'] = 'Defnyddwyr heb eu cofrestru';
$string['enrolcandidatesmatching'] = 'Wrthi\'n cyfateb defnyddwyr sydd heb eu cofrestru';
$string['enrolcohort'] = 'Cofrestru carfan';
$string['enrolcohortusers'] = 'Cofrestru defnyddwyr';
$string['enrollednewusers'] = 'Wedi llwyddo i gofrestru {$a} defnyddiwr newydd';
$string['enrolledusers'] = 'Defnyddwyr wedi\'u cofrestru';
$string['enrolledusersmatching'] = 'Wrthi\'n cyfateb defnyddwyr sydd wedi\'u cofrestru';
$string['enrolme'] = 'Cofrestrwch fi ar y cwrs hwn';
$string['enrolmentinstances'] = 'Dulliau cofrestru';
$string['enrolmentnew'] = 'Cofrestriad newydd yn {$a}';
$string['enrolmentnewuser'] = 'Mae {$a->user} wedi cofrestru ar y cwrs "{$a->course}"';
$string['enrolmentoptions'] = 'Dewisiadau cofrestru';
$string['enrolments'] = 'Cofrestriadau';
$string['enrolnotpermitted'] = 'Does gennych chi ddim caniatâd neu dydych chi ddim yn cael cofrestru rhywun ar y cwrs hwn.';
$string['enrolperiod'] = 'Hyd cyfnod cofrestru';
$string['enroltimecreated'] = 'Cyfnod cofrestru wedi\'i greu';
$string['enroltimeend'] = 'Cyfnod cofrestru yn dod i ben';
$string['enroltimestart'] = 'Cyfnod cofrestru yn cychwyn';
$string['enrolusage'] = 'Achosion / cofrestriadau';
$string['enrolusers'] = 'Cofrestru defnyddwyr';
$string['errajaxfailedenrol'] = 'Wedi methu cofrestru defnyddiwr';
$string['errajaxsearch'] = 'Gwall wrth chwilio defnyddwyr';
$string['erroreditenrolment'] = 'Roedd gwall wrth geisio golygu cofrestriad defnyddiwr';
$string['errorenrolcohort'] = 'Roedd gwall wrth greu achos cofrestru cysoni carfan yn y cwrs hwn.';
$string['errorenrolcohortusers'] = 'Roedd gwall wrth gofrestru aelodau carfan ar y cwrs hwn.';
$string['errorthresholdlow'] = 'Mae\'n rhaid i drothwy hysbysiadau fod o leiaf 1 y diwrnod.';
$string['errorwithbulkoperation'] = 'Roedd gwall wrth brosesu eich newid cofrestriad torfol.';
$string['expirynotify'] = 'Hysbysu cyn i gyfnod cofrestru ddod i ben';
$string['expirynotify_help'] = 'Mae\'r gosodiad hwn yn pennu os bydd neges yn cael ei hanfon i hysbys fod cyfnod cofrestru yn dod i ben.';
$string['expirynotifyall'] = 'Cofrestrydd a defnyddwyr cofrestredig';
$string['expirynotifyenroller'] = 'Cofrestrydd yn unig';
$string['expirynotifyhour'] = 'Yr awr i anfon hysbysiadau fod cyfnod cofrestru yn dod i ben';
$string['expirythreshold'] = 'Throthwy hysbysiadau';
$string['expirythreshold_help'] = 'Pa mor hir cyn i gyfnod cofrestru ddod i ben y dylai defnyddwyr gael eu hysbysu?';
$string['extremovedaction'] = 'Gweithred ddad-gofrestru allanol';
$string['extremovedaction_help'] = 'Dewiswch weithred i\'w rhoi ar waith pan fydd y cofrestriad defnyddiwr yn diflannu o\'r ffynhonnell gofrestru allanol. Cofiwch y bydd rhai gosodiadau ac ambell ddarn o ddata defnyddiwr yn cael eu clirio o\'r cwrs yn ystod y broses ddad-gofrestru.';
$string['extremovedkeep'] = 'Cadw\'r defnyddiwr wedi\'i gofrestru';
$string['extremovedsuspend'] = 'Analluogi cofrestru ar gwrs';
$string['extremovedsuspendnoroles'] = 'Analluogi cofrestru ar gwrs a thynnu swyddogaethau';
$string['extremovedunenrol'] = 'Dad-gofrestru defnyddiwr o\'r cwrs';
$string['finishenrollingusers'] = 'Gorffen cofrestru defnyddwyr';
$string['invalidenrolinstance'] = 'Achos cofrestru annilys';
$string['invalidrole'] = 'Swyddogaeth annilys';
$string['manageenrols'] = 'Rheoli ategion cofrestru';
$string['manageinstance'] = 'Rheoli';
$string['migratetomanual'] = 'Mudo i gofrestru a llaw';
$string['nochange'] = 'Dim newid';
$string['noexistingparticipants'] = 'Dim cyfranogwyr presennol';
$string['noguestaccess'] = 'Does dim modd i westai gael mynediad at y cwrs hwn, ceisiwch fewngofnodi.';
$string['none'] = 'Dim';
$string['notenrollable'] = 'Chewch chi ddim cofrestru eich hun ar y cwrs hwn.';
$string['notenrolledusers'] = 'Defnyddwyr eraill';
$string['otheruserdesc'] = 'Dydy\'r defnyddwyr canlynol ddim wedi\'u cofrestru ar y cwrs hwn ond mae ganddynt swyddogaethau, sydd wedi\'u hetifeddu neu\'u neilltuo o fewn y cwrs.';
$string['participationactive'] = 'Gweithredol';
$string['participationstatus'] = 'Statws';
$string['participationsuspended'] = 'Wedi\'i ohirio';
$string['periodend'] = 'tan {$a}';
$string['periodnone'] = 'wedi cofrestru {$a}';
$string['periodstart'] = 'o {$a}';
$string['periodstartend'] = 'o {$a->start} tan {$a->end}';
$string['recovergrades'] = 'Adfer hen raddau\'r defnyddiwr os oes modd';
$string['rolefromcategory'] = '{$a->role} (Wedi\'i hetifeddu o gategori\'r cwrs)';
$string['rolefrommetacourse'] = '{$a->role} (Wedi\'i hetifeddu o\'r cwrs rhiant)';
$string['rolefromsystem'] = '{$a->role} (Wedi\'i neilltuo ar lefel safle)';
$string['rolefromthiscourse'] = '{$a->role} (Wedi\'i neilltuo yn y cwrs hwn)';
$string['startdatetoday'] = 'Heddiw';
$string['synced'] = 'Wedi cysoni';
$string['totalenrolledusers'] = '{$a} defnyddiwr wedi\'i gofrestru';
$string['totalotherusers'] = '{$a} defnyddiwr arall';
$string['unassignnotpermitted'] = 'Does gennych chi ddim caniatâd i ddad-neilltuo swyddogaethau yn y cwrs hwn ';
$string['unenrol'] = 'Dad-gofrestru';
$string['unenrolconfirm'] = 'Ydych chi\'n siŵr eich bod am ddad-gofrestru defnyddiwr "{$a->user}" o\'r cwrs "{$a->course}"?';
$string['unenrolme'] = 'Dad-gofrestrwch fi o {$a}';
$string['unenrolnotpermitted'] = 'Does gennych chi ddim caniatâd neu allwch chi ddim dad-gofrestru\'r defnyddiwr o\'r cwrs hwn.';
$string['unenrolroleusers'] = 'Dad-gofrestru defnyddwyr';
$string['uninstallmigrating'] = 'Yn mudo "{$a}" cofrestriad';
$string['unknowajaxaction'] = 'Gweithred ddieithr';
$string['unlimitedduration'] = 'Diderfyn';
$string['usersearch'] = 'Chwilio';
$string['withselectedusers'] = 'Gyda defnyddwyr sydd wedi\'u dewis';
