<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'mnetservice_enrol', language 'cy', version '4.0'.
 *
 * @package     mnetservice_enrol
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['availablecourseson'] = 'Cyrsiau sydd ar gael ar {$a}';
$string['availablecoursesonnone'] = 'Dydy\'r gwesteiwr o bell <a href="{$a->hosturl}">{$a->hostname}</a> ddim yn cynnig unrhyw gyrsiau ar gyfer ein defnyddwyr.';
$string['clientname'] = 'Cleient cofrestru o bell';
$string['clientname_help'] = 'Mae\'r adnodd hwn yn gadael i chi gofrestru a dadgofrestru eich defnyddwyr lleol ar westeiwyr o bell sy\'n gadael i chi wneud hynny drwy\'r ategyn \'Cofrestru o bell MNet\'.';
$string['editenrolments'] = 'Golygu cofrestriadau';
$string['hostappname'] = 'Rhaglen';
$string['hostname'] = 'Enw\'r gwesteiwr';
$string['hosturl'] = 'Gwesteiwr URL o bell';
$string['nopublishers'] = 'Does dim cyd-ddefnyddwyr ar gael.';
$string['noroamingusers'] = 'Mae angen i ddefnyddwyr gael y gallu \'{$a}\' yng nghyd-destun y system er mwyn cofrestru ar gyrsiau o bell. Fodd bynnag, does gan ddim un defnyddiwr y gallu hwn ar hyn o bryd. Cliciwch y botwm bwrw ymlaen i neilltuo\'r gallu sy\'n ofynnol i un swyddogaeth neu ragor ar eich safle.';
$string['otherenrolledusers'] = 'Defnyddwyr cofrestredig eraill';
$string['pluginname'] = 'Gwasanaeth cofrestru o bell';
$string['refetch'] = 'Cael y statws diweddaraf gan westeiwyr o bell';
