<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'questionnaire', language 'cy', version '4.0'.
 *
 * @package     questionnaire
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action'] = 'Gweithred';
$string['additionalinfo'] = 'Gwybodaeth Ychwanegol';
$string['additionalinfo_help'] = 'Testun sy\'n ymddangos ar frig tudalen gyntaf yr holiadur hwn. (h.y. cyfarwyddiadau, gwybodaeth gefndir, ayb.)';
$string['addnewquestion'] = 'Wrthi\'n ychwanegu {$a} cwestiwn';
$string['addselqtype'] = 'Ychwanegu\'r math o gwestiwn a ddewiswyd';
$string['alignment'] = 'Alinio botymau radio';
$string['alignment_help'] = 'Dewis alinio botymau: i fyny (diofyn) neu ar draws.';
$string['alignment_link'] = 'mod/questionnaire/questions#Radio_Buttons';
$string['all'] = 'Y cyfan';
$string['alreadyfilled'] = 'Rydych chi eisoes wedi llenwi\'r holiadur hwn i ni {$a}. Diolch yn fawr.';
$string['anonymous'] = 'Di-enw';
$string['average'] = 'Cyfartaledd';
$string['averagerank'] = 'Ranc cyfartaledd';
$string['bodytext'] = 'Corff y testun';
$string['boxesnbexact'] = '{$a} blwch yn unig';
$string['boxesnbmax'] = 'dim mwy na {$a} blwch.';
$string['boxesnbmin'] = 'o leiaf {$a} blwch.';
$string['boxesnbreq'] = 'Ar gyfer y cwestiwn hwn, rhaid i chi dicio';
$string['by'] = 'erbyn';
$string['checkallradiobuttons'] = 'Ticiwch <strong>{$a}</strong> botwm radio!';
$string['checkboxes'] = 'Blychau Ticio';
$string['checkboxes_help'] = 'Rhowch un dewis ar bob llinell ar gyfer y defnyddiwr i ddewis un neu fwy o atebion.';
$string['checkboxes_link'] = 'mod/questionnaire/questions#Check_Boxes';
$string['closed'] = 'Daeth yr holiadur hwn i ben ar {$a}. Diolch.';
$string['closedate'] = 'Defnyddio Dyddiad Dod i Ben';
$string['confalts'] = '- NEU - <br />Tudalen gadarnhau';
$string['confirmdelallresp'] = 'Ydych chi\'n siŵr eich bod am ddileu POB ymateb i\'r holiadur hwn?';
$string['confirmdelgroupresp'] = 'Ydych chi\'n siŵr eich bod am ddileu POB ymateb i {$a}?';
$string['confirmdelresp'] = 'Ydych chi\'n siŵr eich bod chi am ddileu\'r ymateb gan &nbsp;{$a}&nbsp;?';
$string['confpage'] = 'Testun pennawd';
$string['confpage_help'] = 'Pennawd (mewn ffont trwm) a chorff y testun ar gyfer dangos tudalen "Gadarnhau" ar ôl i ddefnyddiwr gwblhau\'r holiadur hwn. (Yr URL, os oes un, fydd yn cael blaenoriaeth dros y testun cadarnhau.) Os ydych chi\'n gadael y maes hwn yn wag, bydd neges ddiofyn yn ymddangos ar ôl cwblhau\'r holiadur (Diolch yn fawr am gwblhau\'r Holiadur hwn).';
$string['confpagedesc'] = 'Pennawd (mewn ffont trwm) a chorff y testun ar gyfer dangos tudalen "Gadarnhau" ar ôl i ddefnyddiwr gwblhau\'r holiadur hwn. (Yr URL, os oes un, fydd yn cael blaenoriaeth dros y testun cadarnhau.)';
$string['contentoptions'] = 'Dewisiadau cynnwys';
$string['couldnotcreatenewsurvey'] = 'Doedd dim modd creu arolwg newydd!';
$string['couldnotdelresp'] = 'Doedd dim modd dileu\'r ymateb';
$string['createcontent'] = 'Diffinio Cynnwys Newydd';
$string['createcontent_help'] = 'Dewiswch un o\'r dewisiadau botymau radio. \'Creu un newydd\' yw\'r diofyn.';
$string['createcontent_link'] = 'mod/questionnaire/mod#Content_Options';
$string['createnew'] = 'Creu un newydd';
$string['date'] = 'Dyddiad';
$string['date_help'] = 'Defnyddiwch y math hwn o gwestiwn os ydych chi\'n disgwyl yr ymateb ar ffurf dyddiad wedi\'i fformatio\'n gywir.';
$string['date_link'] = 'mod/questionnaire/questions#Date';
$string['dateformatting'] = 'Defnyddiwch y fformat diwrnod/mis/blwyddyn, e.e. ar gyfer Mawrth 14, 1945: <strong>14/3/1945</strong>';
$string['deleteallresponses'] = 'Dileu POB Ymateb';
$string['deletecurrentquestion'] = 'Dileu\'r cwestiwn {$a}';
$string['deletedallgroupresp'] = 'Dileu POB Ymateb yn y grŵp {$a}';
$string['deletedallresp'] = 'Dileu POB Ymateb';
$string['deletedresp'] = 'Wedi Dileu\'r Ymateb';
$string['deleteresp'] = 'Dileu\'r Ymateb Hwn';
$string['deletingresp'] = 'Wrthi\'n Dileu\'r Ymateb';
$string['dependquestion_link'] = 'mod/questionnaire/questions#Parent_Question';
$string['displaymethod'] = 'Does dim dull wedi\'i ddiffinio i ddangos y cwestiwn hwn.';
$string['download'] = 'Llwytho i lawr';
$string['downloadtextformat'] = 'Llwytho i lawr ar fformat testun';
$string['downloadtextformat_help'] = 'Mae\'r nodwedd hon yn eich galluogi i gadw\'r holl ymatebion i holiadur mewn ffeil destun (CSV). Yna, gallwch fewngludo\'r ffeil hon i daenlen (e.e. MS Excel neu Open Office Calc) neu becyn ystadegau er mwyn prosesu\'r data ymhellach.';
$string['downloadtextformat_link'] = 'mod/questionnaire/report#Download_in_text_format';
$string['dropdown'] = 'Blwch Gollwng';
$string['dropdown_help'] = 'Does dim mantais wirioneddol i ddefnyddio\'r Blwch Gollwng dros ddefnyddio\'r Botymau Radio heblaw efallai am restrau hir o ddewisiadau, er mwyn arbed lle ar y sgrin.';
$string['dropdown_link'] = 'mod/questionnaire/questions#Dropdown_Box';
$string['edit'] = 'Golygu';
$string['editingquestionnaire'] = 'Wrthi\'n Golygu Gosodiadau Holiadur';
$string['editquestion'] = 'Wrthi\'n golygu {$a} cwestiwn';
$string['email'] = 'E-bost';
$string['errnewname'] = 'Yn anffodus, mae\'r enw eisoes yn cael ei ddefnyddio. Dewiswch enw arall.';
$string['erroropening'] = 'Gwall wrth agor yr holiadur.';
$string['errortable'] = 'Gwall tabl system llwgr';
$string['essaybox'] = 'Blwch Traethawd';
$string['essaybox_help'] = 'This question will display a plain text box with x Textarea columns (or area width) and y Textarea rows (number of text lines).

If you leave both x and y to their default 0 value (or if you set it to 0), then moodle\'s HTML editor will be displayed
with standard height and width (if available in the course/user context & user profile).';
$string['feedback_link'] = 'mod/questionnaire/personality_test#Editing_Questionnaire_Feedback_Messages';
$string['feedbackoptions_link'] = 'mod/questionnaire/personality_test';
$string['feedbacksectionsselect_link'] = 'mod/questionnaire/personality_test#Editing_Questionnaire_Feedback_Sections_2';
$string['field'] = 'Cwestiwn {$a}';
$string['fieldlength'] = 'Hyd y blwch mewnbwn';
$string['fieldlength_help'] = 'For the **Text Box** question type, enter the **Input Box length** and the **Maximum text length** of text to be entered by
respondent.

Default values are 20 characters for the Input Box width and 25 characters for the maximum length of text entered.';
$string['grade'] = 'Gradd gwaith a gyflwynwyd';
$string['headingtext'] = 'Testun pennawd';
$string['horizontal'] = 'Ar draws';
$string['id'] = 'ID';
$string['includechoicecodes'] = 'Cynnwys codau dewis';
$string['includechoicetext'] = 'Cynnwys codau testun';
$string['incorrectcourseid'] = 'Mae ID y cwrs yn anghywir';
$string['incorrectmodule'] = 'Roedd ID Modiwl y Cwrs yn anghywir';
$string['incorrectquestionnaire'] = 'Mae\'r holiadur yn anghywir';
$string['invalidresponse'] = 'Wedi pennu ymateb annilys.';
$string['invalidresponserecord'] = 'Wedi pennu cofnod ymateb annilys.';
$string['invalidsurveyid'] = 'ID holiadur anghywir.';
$string['kindofratescale'] = 'Math o raddfa cyfradd';
$string['kindofratescale_help'] = 'Gweld Dogfennau Moodle isod';
$string['kindofratescale_link'] = 'mod/questionnaire/questions#Type_of_rate_scale';
$string['length'] = 'Hyd';
$string['managequestions_link'] = 'mod/questionnaire/questions#Manage_questions';
$string['maxdigitsallowed'] = 'Nifer fwyaf o rifau';
$string['maxdigitsallowed_help'] = 'Drwy ddefnyddio\'r nifer fwyaf o rifau a nifer y digidau degol';
$string['maxdigitsallowed_link'] = 'mod/questionnaire/questions#Numeric';
$string['maxforcedresponses'] = 'Nifer fwyaf yr ymatebion sy\'n cael eu gorfodi';
$string['maxtextlength'] = 'Hyd mwyaf y testun';
$string['minforcedresponses'] = 'Nifer leiaf yr ymatebion sy\'n cael eu gorfodi';
$string['minforcedresponses_help'] = 'Use these parameters to force respondent to tick a minimum of **Min.** boxes and a maximum of **Max.** check boxes. To
force an exact number of check boxes to be ticked, set **Min.** and **Max.** to the same value. If only a min or a max value is desired, just leave the other
value to its default **0** value. If you set **Min.** or **Max.** to values other than their default **0** value, a warning message will be displayed if
respondent does not comply with your requirements. Obviously you should make any requirements clear to the respondent either in the general instructions of
your Questionnaire or in the text of relevant questions.';
$string['misconfigured'] = 'Mae\'r cwrs wedi\'i ffurfweddu\'n anghywir';
$string['missingquestion'] = 'Gwall, atebwch y cwestiwn os gwelwch yn dda';
$string['missingquestions'] = 'Gwall, atebwch y cwestiwn os gwelwch yn dda:';
$string['modulename'] = 'Holiadur';
$string['modulename_link'] = 'mod/questionnaire/view';
$string['modulenameplural'] = 'Holiaduron';
$string['myresponses'] = 'Pob un o\'ch ymatebion';
$string['myresponsetitle'] = 'Eich {$a} ymateb';
$string['myresults'] = 'Eich Canlyniadau';
$string['name'] = 'Enw';
$string['navigate_link'] = 'mod/questionnaire/conditional_branching';
$string['next'] = 'Nesaf';
$string['nextpage'] = 'Tudalen Nesaf';
$string['noanswer'] = 'Dim ateb';
$string['nodata'] = 'Heb bostio data.';
$string['noduplicates'] = 'Dim dewisiadau dyblyg';
$string['noneinuse'] = 'Dim cynnwys wedi\'i ddiffinio ar hyn o bryd.';
$string['nopublicsurveys'] = 'Dim holiaduron cyhoeddus.';
$string['noresponsedata'] = 'Dim ymatebion i\'r holiadur hwn.';
$string['noresponses'] = 'Dim ymatebion';
$string['normal'] = 'Normal';
$string['notanumber'] = 'Dydy <strong>{$a}</strong> ddim yn fformat rhif derbyniol.';
$string['notapplicable'] = 'Amherthnasol';
$string['notapplicablecolumn'] = 'Colofn amherthnasol';
$string['notavail'] = 'Dydy\'r holiadur hwnnw ddim ar gael eto. Rhowch gynnig arall arni yn nes ymlaen.';
$string['noteligible'] = 'Dydych chi ddim yn gymwys i lenwi\'r holiadur hwn.';
$string['notemplatesurveys'] = 'Dim holiaduron templed.';
$string['notifications_link'] = 'mod/questionnaire/mod#Submission_Notifications';
$string['notopen'] = 'Fydd y cwestiwn hwn ddim yn agor tan {$a}.';
$string['num'] = '#';
$string['numberfloat'] = 'Mae\'r rhif a roesoch <strong>{$a->number}</strong> wedi cael ei ailfformatio/talgrynnu i <strong>{$a->precision}</strong> lle degol.';
$string['numberofdecimaldigits'] = 'Nifer y digidau degol';
$string['numberofdecimaldigits_link'] = 'mod/questionnaire/questions#Numeric';
$string['numberscaleitems'] = 'Nifer yr eitemau graddfa';
$string['numberscaleitems_help'] = 'Nifer yr eitemau cyfradd yw *nifer yr eitemau* i\'w defnyddio yn eich graddfa cyfradd. Byddech chi fel arfer yn defnyddio gwerth rhwng 3 a 5. Y gwerth diofyn yw: **5**.';
$string['numeric'] = 'Rhifol';
$string['numeric_help'] = 'Defnyddiwch y math hwn o gwestiwn os ydych chi\'n disgwyl i\'r ymateb fod yn rhif sydd wedi\'i fformatio\'n gywir.';
$string['of'] = 'o';
$string['opendate'] = 'Defnyddio\'r Dyddiad Agor';
$string['option'] = 'dewis {$a}';
$string['optionalname'] = 'Enw\'r Cwestiwn';
$string['optionalname_help'] = 'The Question Name is only used when you export responses to CSV/Excel format.
If you never export to CSV, then you needn\'t worry about Question names at all.
If you plan to regularly export your questionnaire data to CSV, then you have a choice of two options for question naming.';
$string['optionalname_link'] = 'mod/questionnaire/questions#Question_Name';
$string['or'] = '- NEU -';
$string['order_ascending'] = 'O\'r lleiaf i\'r mwyaf';
$string['order_default'] = 'Gweld y drefn ddiofyn';
$string['order_descending'] = 'O\'r mwyaf i\'r lleiaf';
$string['orderresponses'] = 'Trefn yr Ymatebion';
$string['orderresponses_help'] = 'Pan fyddwch yn dangos Pob Ymateb gallwch roi\'r dewisiadau mewn trefn yn ôl nifer yr ymatebion (y golofn Cyfartaledd) ar gyfer y 4 math canlynol o gwestiynau. * botwm radio un dewis * cwymprestr un dewis * aml-ddewis (blychau ticio) * graddio cwestiynau (yn cynnwys graddfeydd Likert). Pan fyddwch chi\'n cyrraedd y dudalen Pob Ymateb, bydd yr holl ymatebion yn cael eu rhoi mewn trefn yn ddiofyn yn ôl dewis y crëwr yr holiadur. Gallwch ddewis eu rhoi mewn trefn o\'r lleiaf i\'r mwyaf neu o\'r mwyaf i\'r lleiaf.';
$string['orderresponses_link'] = 'mod/questionnaire/report#Order_Responses';
$string['osgood'] = 'Osgood';
$string['other'] = 'Arall:';
$string['otherempty'] = 'Os ydych chi\'n ticio\'r dewis hwn, rhaid i chi roi rhywfaint o destun yn y blwch testun!';
$string['overviewnumresplog'] = 'ymatebion';
$string['overviewnumresplog1'] = 'ymateb';
$string['overviewnumrespvw'] = 'ymatebion';
$string['overviewnumrespvw1'] = 'ymateb';
$string['owner'] = 'Perchennog';
$string['page'] = 'Tudalen';
$string['pageof'] = 'Tudalen {$a->page} o {$a->totpages}';
$string['pluginadministration'] = 'Gweinyddu holiadur';
$string['pluginname'] = 'Holiadur';
$string['possibleanswers'] = 'Atebion posib';
$string['posteddata'] = 'Wedi cyrraedd tudalen gyda data a bostiwyd:';
$string['preview_label'] = 'Rhagolwg';
$string['preview_questionnaire'] = '- Rhagolwg yr Holiadur';
$string['previewing'] = 'Rhagolwg yr holiadur';
$string['previous'] = 'Blaenorol';
$string['previouspage'] = 'Tudalen Flaenorol';
$string['print'] = 'Argraffu\'r Ymateb Hwn';
$string['printblank'] = 'Argraffu Tudalen Wag';
$string['printblanktooltip'] = 'Agor ffenestr wag sy\'n hawdd ei hargraffu';
$string['printtooltip'] = 'Agor ffenestr sy\'n hawdd ei hargraffu gyda\'r Ymateb presennol';
$string['private'] = 'Preifat';
$string['public'] = 'Cyhoeddus';
$string['qtype'] = 'Math';
$string['qtype_help'] = 'Dewiswch a fydd defnyddwyr yn cael ymateb unwaith, yn ddyddiol, yn wythnosol, yn fisol neu nifer ddiderfyn o weithiau (sawl gwaith).';
$string['qtypedaily'] = 'ymateb yn ddyddiol';
$string['qtypemonthly'] = 'ymateb yn fisol';
$string['qtypeonce'] = 'ymateb unwaith';
$string['qtypeunlimited'] = 'ymateb sawl gwaith';
$string['qtypeweekly'] = 'ymateb yn wythnosol';
$string['questionnaire:copysurveys'] = 'Copïo holiaduron preifat a thempled';
$string['questionnaire:createpublic'] = 'Creu holiaduron cyhoeddus';
$string['questionnaire:createtemplates'] = 'Creu holiaduron templed';
$string['questionnaire:deleteresponses'] = 'Dileu unrhyw ymateb';
$string['questionnaire:downloadresponses'] = 'Llwytho\'r ymatebion i lawr mewn ffeil CSV';
$string['questionnaire:editquestions'] = 'Creu a golygu cwestiynau holiadur';
$string['questionnaire:manage'] = 'Creu a golygu holiaduron';
$string['questionnaire:printblank'] = 'Argraffu holiadur gwag';
$string['questionnaire:readallresponseanytime'] = 'Darllen pob ymateb ar unrhyw adeg';
$string['questionnaire:readallresponses'] = 'Darllen crynodebau ymateb, yn amodol ar amseroedd agos';
$string['questionnaire:readownresponses'] = 'Darllen fy ymatebion fy hun';
$string['questionnaire:submit'] = 'Cwblhau a llenwi holiadur';
$string['questionnaire:view'] = 'Gweld holiadur';
$string['questionnaire:viewsingleresponse'] = 'Gweld ymatebion unigol cyflawn';
$string['questionnaireadministration'] = 'Gweinyddu Holiaduron';
$string['questionnairecloses'] = 'Holiadur yn Cau';
$string['questionnaireopens'] = 'Holiadur yn Agor';
$string['questionnairereport'] = 'Adroddiad Holiadur';
$string['questionnum'] = 'Cwestiwn #';
$string['questions'] = 'Cwestiynau';
$string['questiontypes'] = 'Mathau o gwestiwn';
$string['questiontypes_help'] = 'Gweld Dogfennau Moodle isod';
$string['questiontypes_link'] = 'mod/questionnaire/questions#Question_Types';
$string['radiobuttons'] = 'Botymau Radio';
$string['radiobuttons_help'] = 'Yn y math hwn o gwestiwn, rhaid i\'r ymatebwr ddewis un o\'r dewisiadau a gynigwyd.';
$string['radiobuttons_link'] = 'mod/questionnaire/questions#Radio_Buttons';
$string['rank'] = 'Rhengoedd graddau';
$string['ratescale'] = 'Gradd (graddfa 1..5)';
$string['ratescale_help'] = 'Gweld Dogfennau Moodle isod';
$string['ratescale_link'] = 'mod/questionnaire/questions#Rate_.28scale_1..5.29';
$string['realm'] = 'Math o Holiadur';
$string['realm_help'] = '* **Mae tri math o holiadur:**
 * Preifat - yn perthyn i\'r cwrs yn unig.
 * Templed - mae\'n bosib ei gopïo a\'i olygu.
 * Cyhoeddus - mae\'n bosib ei rannu rhwng cyrsiau.';
$string['realm_link'] = 'mod/questionnaire/qsettings#Questionnaire_Type';
$string['redirecturl'] = 'Yr URL y bydd defnyddiwr yn cael ei ailgyfeirio ato ar ôl cwblhau\'r holiadur hwn.';
$string['remove'] = 'Dileu';
$string['required'] = 'Rhaid cael Ymateb';
$string['required_help'] = 'Os ydych yn dewis  ***Iawn***, bydd rhaid rhoi ymateb i\'r cwestiwn hwn, h.y. fydd yr ymatebwr ddim yn gallu cyflwyno\'r holiadur hwn hyd nes bod y cwestiwn hwn wedi\'i ateb.';
$string['required_link'] = 'mod/questionnaire/questions#Response_Required';
$string['requiredparameter'] = 'Roedd paramedr gofynnol ar goll.';
$string['reset'] = 'Ailosod';
$string['respeligiblerepl'] = '(wedi\'i ddisodli gan ddewisiadau diystyru swyddogaeth)';
$string['respondent'] = 'Ymatebwr';
$string['respondenteligibleall'] = 'pob un';
$string['respondenteligiblestudents'] = 'myfyrwyr yn unig';
$string['respondenteligibleteachers'] = 'athrawon yn unig';
$string['respondents'] = 'Ymatebwyr';
$string['respondenttype'] = 'Math o Ymatebwr';
$string['respondenttype_help'] = 'Gallwch ddangos enwau llawn eich defnyddwyr gyda phob ymateb drwy bennu "enw llawn" yma. Gallwch guddio pwy yw\'r defnyddwyr sy\'n cyflwyno ymatebion drwy ddewis "dienw".';
$string['respondenttype_link'] = 'mod/questionnaire/mod#Respondent_Type';
$string['respondenttypeanonymous'] = 'dienw';
$string['respondenttypefullname'] = 'enw llawn';
$string['response'] = 'Ymateb';
$string['responseoptions'] = 'Dewisiadau ymateb';
$string['responses'] = 'Ymatebion';
$string['responseview'] = 'Gall myfyrwyr weld POB ymateb';
$string['responseview_help'] = 'Gallwch bennu pwy sy\'n gallu gweld ymatebion yr holl ymatebwyr sydd wedi cyflwyno holiadyuron (tablau ystadegau cyffredinol).';
$string['responseview_link'] = 'mod/questionnaire/mod#Response_viewing';
$string['responseviewstudentsalways'] = 'Bob Amser';
$string['responseviewstudentsnever'] = 'Byth';
$string['responseviewstudentswhenanswered'] = 'Ar ôl ateb yr holiadur';
$string['responseviewstudentswhenclosed'] = 'Ar ôl i\'r holiadur ddod i ben';
$string['restrictedtoteacher'] = 'Mae\'r gweithredoedd hyn wedi\'u cyfyngu i athrawon sy\'n golygu yn unig!';
$string['resume'] = 'Cadw/Ailddechrau\'r atebion';
$string['resume_help'] = 'Mae gosod y dewis hwn yn galluogi defnyddwyr i gadw eu hatebion mewn holiadur cyn eu cyflwyno. Gall defnyddwyr adael yr holiadur ar ei hanner ac ailddechrau o\'r pwynt hwnnw\'n nes ymlaen.';
$string['resume_link'] = 'mod/questionnaire/mod#Save/Resume_answers';
$string['resumesurvey'] = 'Ailddechrau\'r holiadur';
$string['return'] = 'Mynd yn ôl';
$string['save'] = 'Cadw';
$string['saveasnew'] = 'Cadw fel Cwestiwn Newydd';
$string['savedprogress'] = 'Rydych chi wedi cadw\'r gwaith hyd yn hyn. Gallwch ddod yn ôl ar unrhyw adeg i orffen yr holiadur hwn. I wneud hynny, rhowch nod llyfr ar y ddolen {$a} isod. Efallai bydd gofyn i chi roi eich enw defnyddiwr a\'ch cyfrinair i orffen yr holiadur.';
$string['saveeditedquestion'] = 'Cadw\'r cwestiwn {$a}';
$string['savesettings'] = 'Cadw\'r gosodiadau';
$string['section'] = 'Disgrifiad';
$string['sectionbreak'] = '----- Toriad Tudalen -----';
$string['sectionbreak_help'] = '----- Toriad Tudalen -----';
$string['sectiontext'] = 'Label';
$string['sectiontext_help'] = 'Dydy hwn ddim yn gwestiwn ond yn destun (byr) a fydd yn ymddangos i gyflwyno cyfres o gwestiynau.';
$string['selecttheme'] = 'Dewiswch thema (css) i\'r ddefnyddio gyda\'r holiadur hwn.';
$string['sendemail'] = 'Anfon e-bost';
$string['sendemail_help'] = 'Mae hyn yn anfon copi o\'r gwaith a gyflwynwyd i\'r cyfeiriadau a bennir. Gallwch ddarparu mwy nag un cyfeiriad drwy roi coma rhyngddynt. Gadewch yn wag os nad ydych am anfon copi wrth gefn drwy e-bost.';
$string['settings'] = 'Gosodiadau';
$string['settingssaved'] = 'Wedi cadw\'r gosodiadau';
$string['strfdate'] = '%d/%m/%B';
$string['strfdateformatcsv'] = 'd/m/B H:i:s';
$string['submitoptions'] = 'Dewisiadau cyflwyno gwaith';
$string['submitsurvey'] = 'Cyflwyno\'r holiadur';
$string['submitted'] = 'Cyflwynwyd ar:';
$string['subtitle'] = 'Is-deitl';
$string['subtitle_help'] = 'Is-deitl yr holiadur hwn. Mae\'n ymddangos o dan y teitl ar y dudalen gyntaf yn unig.';
$string['summary'] = 'Crynodeb';
$string['surveynotexists'] = 'dydy\'r holiadur ddim yn bodoli.';
$string['surveyowner'] = 'Rhaid i chi fod yn berchennog holiadur i wneud hyn.';
$string['surveyresponse'] = 'Ymateb o\'r holiadur';
$string['template'] = 'Templed';
$string['templatenotviewable'] = 'Does dim modd gweld holiaduron templed';
$string['text'] = 'Testun Cwestiwn';
$string['textareacolumns'] = 'Colofnau ardal destun';
$string['textareacolumns_help'] = 'This question will display a plain text box with **x** *Textarea columns* (or area *width*) and **y** *Textarea rows* (number of text
*lines*).
If you leave both x and y to their default **0** value (or if you set it to **0**), then HTML editor will be displayed with standard height and width (if
available in the course/user context &amp; user profile).';
$string['textarearows'] = 'Rhesi ardal destun';
$string['textbox'] = 'Blwch Testun';
$string['textbox_help'] = 'Ar gyfer math Blwch Testun o gwestiwn, rhowch hyd y Blwch Mewnbwn a\'r Hyd testun mwyaf fydd yr ymatebwr yn gallu ei gyflwyno. Y gwerthoedd diofyn yw 20 nod ar gyfer lled y Blwch Mewnbwn a 25 nod ar gyfer hyd mwyaf y testun.';
$string['textdownloadoptions'] = 'Dewisiadau ar gyfer llwytho testun i lawr (CSV)';
$string['thank_head'] = 'Diolch i chi am gwblhau\'r Holiadur hwn.';
$string['theme'] = 'Thema';
$string['thismonth'] = 'y mis hwn';
$string['thisweek'] = 'yr wythnos hon';
$string['title'] = 'Teitl';
$string['title_help'] = 'Teitl yr holiadur hwn, a fydd yn ymddangos ar frig pob tudalen. Yn ddiofyn, y teitl fydd Enw\'r holiadur, ond gallwch ei olygu os ydych eisiau.';
$string['today'] = 'heddiw';
$string['total'] = 'Cyfanswm';
$string['type'] = 'Math o Gwestiwn';
$string['undefinedquestiontype'] = 'Math o gwestiwn heb ei ddiffinio!';
$string['unknown'] = 'Dieithr';
$string['unknownaction'] = 'Wedi pennu gweithred holiadur dieithr...';
$string['url'] = 'URL Cadarnhau';
$string['url_help'] = 'Bydd y defnyddiwr yn cael ei ailgyfeirio i\'r URL hwn ar ôl cwblhau\'r holiadur hwn.';
$string['usepublic'] = 'Defnyddio\'r dewis cyhoeddus';
$string['usetemplate'] = 'Copïo\'r hyn sydd eisoes yn bodoli';
$string['vertical'] = 'Ar i fyny';
$string['view'] = 'Gweld';
$string['viewallresponses'] = 'Gweld Pob Ymateb';
$string['viewallresponses_help'] = 'If the questionnaire is set to **Group Mode**: *Visible groups*, or is set to *Separate groups* and the current user
has the *moodle/site:accessallgroups* capability (in the current context), and groups have been defined in the current course,
then the user has access to a dropdown list of groups. This dropdown list enables the user to "filter" the questionnaire responses by groups.
If the setting is **Group Mode**: *Separate groups*, then users who do not have the *moodle/site:accessallgroups* capability
(usually students, or non-editing teachers, etc.) will only be able to view the responses of the group(s) they belong to.';
$string['viewallresponses_link'] = 'Viewing_Questionnaire_responses#Group_filtering';
$string['viewbyresponse'] = 'Gweld yn ôl Ymateb';
$string['viewresponses'] = 'Pob ymateb ({$a})';
$string['viewyourresponses'] = 'Eich ymatebion - gweld {$a}';
$string['warning'] = 'Rhybudd, wedi dod ar draws gwall.';
$string['wrongdateformat'] = 'Y dyddiad a roddwyd: Dydy <strong>{$a}</strong> ddim yn cyfateb â\'r fformat a ddangosir yn yr enghraifft.';
$string['wrongdaterange'] = 'GWALL! Rhaid pennu\'r flwyddyn rhwng 1902 a 2037.';
$string['wrongformat'] = 'Mae rhywbeth yn bod ar y cwestiwn:&nbsp;';
$string['wrongformats'] = 'Mae rhywbeth yn bod ar y cwestiwn:&nbsp;';
$string['yesno'] = 'Iawn/Na';
$string['yesno_help'] = 'Cwestiwn syml Iawn/Na.';
