<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz_grading', language 'cy', version '4.0'.
 *
 * @package     quiz_grading
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alldoneredirecting'] = 'Mae pob cynnig a ddewiswyd wedi\'u graddio. Wrthi\'n mynd yn ôl i\'r rhestr o gwestiynau.';
$string['alreadygraded'] = 'Wedi rhoi gradd eisoes';
$string['alsoshowautomaticallygraded'] = 'Hefyd, dangos cwestiynau sydd wedi cael eu graddio\'n awtomatig';
$string['attemptstograde'] = 'Sawl cynnig i raddio';
$string['automaticallygraded'] = 'Wedi rhoi gradd yn awtomatig';
$string['backtothelistofquestions'] = 'Yn ôl i\'r rhestr o gwestiynau';
$string['bydate'] = 'Fesul dyddiad';
$string['bystudentidnumber'] = 'Fesul rhif ID myfyrwyr';
$string['cannotgradethisattempt'] = 'Does dim modd rhoi gradd i\'r cynnig hwn.';
$string['cannotloadquestioninfo'] = 'Heb lwyddo i lwytho\'r wybodaeth am fath penodol o gwestiwn';
$string['changeoptions'] = 'Newid y dewisiadau';
$string['essayonly'] = 'Mae\'n rhaid i berson roi gradd i\'r cwestiynau canlynol ei hun';
$string['grade'] = 'rhoi gradd';
$string['gradeall'] = 'rhoi gradd i\'r cyfan';
$string['gradeattemptsall'] = 'Pob un ({$a})';
$string['gradeattemptsautograded'] = 'Y rheini sydd wedi cael gradd yn awtomatig ({$a})';
$string['gradeattemptsmanuallygraded'] = 'Y rheini sydd wedi cael gradd gan berson yn flaenorol ({$a})';
$string['gradeattemptsneedsgrading'] = 'Y rheini sydd angen cael eu graddio ({$a})';
$string['graded'] = '(wedi rhoi gradd)';
$string['gradenextungraded'] = 'Rhoi gradd i\'r {$a} cynnig nesaf sydd heb eu graddio';
$string['gradeungraded'] = 'Rhoi gradd i bob un o\'r {$a} cynnig sydd heb eu graddio';
$string['grading'] = 'Graddio gan berson';
$string['grading:viewidnumber'] = 'Gweld rhifau ID myfyrwyr wrth roi gradd';
$string['grading:viewstudentnames'] = 'Gweld enwau myfyrwyr wrth roi gradd';
$string['gradingall'] = 'Pob un o\'r {$a} cynnig ar y cwestiwn hwn.';
$string['gradingattempt'] = 'Cynnig rhif {$a->attempt} gan {$a->fullname}';
$string['gradingattemptsxtoyofz'] = 'Rhoi cynnig ar raddio rhif {$a->from} i  {$a->to} allan o {$a->of}';
$string['gradingattemptwithidnumber'] = 'Cynnig rhif {$a->attempt} gan {$a->fullname} ({$a->idnumber})';
$string['gradingnextungraded'] = 'Y {$a} cynnig nesaf sydd heb eu graddio';
$string['gradingnotallowed'] = 'Does gennych chi ddim hawl i roi gradd i\'r atebion hyn eich hun yn y cwis hwn';
$string['gradingquestionx'] = 'Cwestiwn graddio {$a->number}: {$a->questionname}';
$string['gradingreport'] = 'Adroddiad graddio gan berson';
$string['gradingungraded'] = '{$a} cynnig heb gael gradd';
$string['gradinguser'] = 'Cynnig ar gyfer {$a}';
$string['hideautomaticallygraded'] = 'Cuddio cwestiynau sydd wedi cael eu graddio\'n awtomatig';
$string['inprogress'] = 'Ar waith';
$string['invalidattemptid'] = 'Does dim ID cynnig o\'r fath yn bodoli';
$string['invalidquestionid'] = 'Heb ddod o hyd i gwestiwn y gellir rhoi gradd iddo gyda\'r ID {$a}';
$string['noquestionsfound'] = 'Heb ddod o hyd i gwestiynau sydd wedi cael eu graddio gan berson';
$string['options'] = 'Dewisiadau';
$string['orderattempts'] = 'Rhoi pob cynnig mewn trefn';
$string['pluginname'] = 'Graddio gan berson';
$string['qno'] = 'C #';
$string['questionname'] = 'Enw\'r cwestiwn';
$string['questionsperpage'] = 'Sawl cwestiwn ar bob tudalen?';
$string['questionsthatneedgrading'] = 'Cwestiynau sydd angen cael eu graddio';
$string['questiontitle'] = 'Cwestiwn {$a->number} : "{$a->name}" ({$a->openspan}{$a->gradedattempts}{$a->closespan} / {$a->totalattempts} cynnig {$a->openspan} wedi graddio{$a->closespan}).';
$string['randomly'] = 'Ar hap';
$string['saveandnext'] = 'Cadw a symud ymlaen i\'r dudalen nesaf';
$string['showstudentnames'] = 'Dangos enw myfyrwyr';
$string['tograde'] = 'I\'w graddio';
$string['total'] = 'Cyfanswm';
$string['unknownquestion'] = 'Cwestiwn dieithr';
$string['updategrade'] = 'diweddaru\'r graddau';
